# The name that will be displayed in game
propername=Terrarum

# The description
description=The base game

# Author of the module
author=Terrarum

# Name of the entry script
# Entry script must inherit net.torvald.terrarum.ModuleEntryPoint
entrypoint=net.torvald.terrarum.modulebasegame.EntryPoint

# Release date in YYYY-MM-DD
releasedate=2017-07-14

# The version, must follow Semver 2.0.0 scheme (https://semver.org/)
version=0.2.0

# External JARs the module might use, separate multiple by semicolon (;)
libraries=

# Modules that must be pre-installed, separate multiple by semicolon (;)
# Dependency syntax: "module's identification name (aka folder name) spaces allowed versionnumber"
# Versionnumber: + means equal or higher, ! means this exact number, - denotes interval, * is wildcard
#                 the default is equal or lower. When fields are omitted (e.g. 3, 1.65), those fields will be ignored
# e.g.  1.4+   would allow any future versions including 1.4.0; PATCH versions are ignored: 1.6.0, 1.13.0, 1.42.0, 1.4.0, 1.4.4456
# e.g.  4.2.25 would allow any future versions including 4.2.25; any older patches such as 4.2.17 will be disallowd
# e.g.  10.4!  is same as 10.4; would allow any PATCH versions as the numbers is ignored
# e.g.  10.3-11.4 would allow any versions between and including stated versions; PATCH versions are ignored: 10.3.0, 10.7.0, 10.3.676, 11.0.0, 11.4.9999
# e.g.  10.3.2-10.4.5 would allow any versions between and including stated versions; PATCH versions are checked
# e.g.  3!.1+  would allow any future MINOR versions including 3.1; PATH versions are ignored: 3.1, 3.4.22, 3.6, 3.1415926
# e.g.  *      would allow any version possible, as it won't check MINOR and PATCH versions
# NOTE: it's your responsibility that your mod's version scheme would not be a total mess!
# real world examples:
#       basegame 1.0.0+; command line refresh 2!.+; my_little_hack 0.*
# Can you decode them? This is for hypothetical screen recorder mod.
dependency=